Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url https://api.hubapi.com/business-units/v3/business-units/user/{userId} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"name": "<string>",
"logoMetadata": {
"logoAltText": "<string>",
"logoUrl": "<string>",
"resizedUrl": "<string>"
}
}
]
}Retrieve the brands that a specific user can access.
curl --request GET \
--url https://api.hubapi.com/business-units/v3/business-units/user/{userId} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"name": "<string>",
"logoMetadata": {
"logoAltText": "<string>",
"logoUrl": "<string>",
"resizedUrl": "<string>"
}
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the user.
successful operation
The collection of Business Units
Show child attributes
Was this page helpful?